Bug 37034 - libksba: Buffer overflow (3.2)
libksba: Buffer overflow (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.2
Other Linux
: P3 normal (vote)
: UCS 3.2-4-errata
Assigned To: Janek Walkenhorst
Moritz Muehlenhoff
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-26 10:01 CET by Moritz Muehlenhoff
Modified: 2014-12-19 14:01 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-11-26 10:01:27 CET
libksba is used by gnupg2 to process S/MIME. A buffer overflow has been found in the ksba_oid_to_str() function (CVE-2014-9087)
Comment 1 Janek Walkenhorst univentionstaff 2014-12-18 18:07:22 CET
Patch from wheezy backported.
Tests (amd64): OK
Advisory: 2014-12-18-libksba.yaml
Comment 2 Moritz Muehlenhoff univentionstaff 2014-12-19 09:51:14 CET
Update ok. YAML file ok.
Comment 3 Janek Walkenhorst univentionstaff 2014-12-19 14:01:50 CET
http://errata.univention.de/ucs/3.2/264.html